import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetCountries = createAsyncThunk(
  "SLAUGHTER_GET_COUNTRIES",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("get_country/", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
